Last Comment Bug 310844 - shift+space doesn't scroll message pane up unless message pane has focus
: shift+space doesn't scroll message pane up unless message pane has focus
Status: RESOLVED FIXED
: fixed-seamonkey1.0
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: x86 Windows 2000
: -- minor (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 13:10 PDT by K Chayka
Modified: 2006-03-25 04:12 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Explicitly allow shift key (1.36 KB, patch)
2005-10-28 02:04 PDT, neil@parkwaycc.co.uk
mozilla: review+
mozilla: superreview+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Splinter Review

Description K Chayka 2005-10-02 13:10:14 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a1) Gecko/20050930 SeaMonkey/1.1a
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a1) Gecko/20050930 SeaMonkey/1.1a

In the mail-news 3-pane window, pressing the spacebar causes forward scrolling
of the message preview pane regardless of which pane currently has focus.
Likewise, shift+spacebar used to backward scroll the message pane, but now only
does when the message pane has focus.

Reproducible: Always

Steps to Reproduce:
1. Open mail-news in the 3-pane window. Pick any message that is long enough to
cause vertical scrolling. Either the folder or thread pane should have focus at
this point.
2. Press the spacebar to scroll down, the message pane scrolls as expected.
3. Press shift+spacebar to scroll the message back up.

Actual Results:  
Nothing happens. Neither the message nor the thread pane moves.

Expected Results:  
The message should scroll back up. If you give focus to the message pane (e.g.
via f6), shift+spacebar works as expected.

mozilla 1.7x does not have this problem, nor does Thunderbird IIRC. In the off
chance it is theme related, I'm using classic.
Comment 1 Mike Cowperthwaite 2005-10-02 14:15:44 PDT
Reproduced with TB 1.6a1-0925; 
WFM with Seamonkey 1.0a-0806 (1.8 branch), Moz 1.7.12, TB 1.5b1-0928.
I don't have a 1.9-branch Seamonkey to confirm.
Comment 2 zug_treno 2005-10-03 15:06:03 PDT
WFM with SeaMonkey 1.1a/20050830 but reproducible with SeaMonkey 1.1a/20050831,
maybe related to Core 'scroll' bug 212789?
Comment 3 Mike Cowperthwaite 2005-10-03 17:10:57 PDT
OK, confirming.
Comment 4 neil@parkwaycc.co.uk 2005-10-28 02:04:57 PDT
Created attachment 201109 [details] [diff] [review]
Explicitly allow shift key

Previously to bug 295288 we automatically ignored the shift key.
Comment 5 neil@parkwaycc.co.uk 2005-10-28 09:28:09 PDT
Fix checked in.
Comment 6 neil@parkwaycc.co.uk 2005-10-28 09:58:53 PDT
(In reply to comment #4)
>Previously to bug 295288 we automatically ignored the shift key.
Um, bug 295228 :-[
Comment 7 neil@parkwaycc.co.uk 2005-10-28 16:46:15 PDT
D'oh! Fix for typo checked in too :-[
Comment 8 K Chayka 2005-10-31 04:02:36 PST
I had a real hard time using seamonkey for mail-news with this bug. It's usable again now. Thank you! :-)
Comment 9 neil@parkwaycc.co.uk 2005-12-09 09:57:53 PST
Comment on attachment 201109 [details] [diff] [review]
Explicitly allow shift key

(XPFE version only, of course; remind me to fix my typo before checking in)
Comment 10 Ian Neal 2005-12-09 16:05:45 PST
Comment on attachment 201109 [details] [diff] [review]
Explicitly allow shift key

for mailnews bit
Comment 11 neil@parkwaycc.co.uk 2005-12-11 13:10:56 PST
SeaMonkey portion of fix checked in to the 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.